#ifndef _YYUTILS_H
#define _YYUTILS_H

#include <stdlib.h>

#include "tablesymb.h"

void inst(char *);
void instarg(char *, int);
void jump(char *, int);
void label(int n);
void comment(char *);
void apply_bin_op(char *);
void apply_un_op(char *);
int yyerror(char * s);
void error(char * msg, char * arg);

extern int labels[65536];
extern int jump_label;
extern int line_counter;
extern int nb_var;
extern table varfonc;
extern table arguments;
extern symbole symb;


#endif /*_YYUTILS_H */
