#ifndef _TABLESYMB_H
#define _TABLESYMB_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct node {
    char * name;
    int address;
    int signature;
    int size; // Taille du symbole, 1 pour une variable, <sa longueur> pour un tableau, 
	      // 1 pour une fonction qui retourne une variable, 0 sinon
    struct node * next;
} symbole, ** table;

int initSymbole(table * t);

int addSymbole(const table t, 
	const char * name, const int add, const int sign, const int size);

int findSymbole(const table t, const char * name, symbole * s);
int findSymbole_(const table t, const char * name, symbole ** s);

void freeSymbole(table * t);

void afficheSymbole(const table t);

#endif /* _TABLESYMB_H */
